#include<bits/stdc++.h>
#define all(a) a.begin(), a.end()
#define pb push_back
using namespace std;
using ll = long long;
using vi = vector<int>;
using vll = vector<ll>;
using Mat = vector<vi>;
const char ent = '\n';

__int128 find_sum(__int128 A, __int128 B) {
	return A + B;
}

int main() {
	ios::sync_with_stdio(0);
	cin.tie(0);
	
	return 0;
}